## org.jCharts.test
Class HTMLGenerator

    java.lang.Object
      org.jCharts.test.HTMLGenerator

    public final class HTMLGenerator

extends Object

Utility class for viewing a series of tests.

Field Summary
`private String` `fileName`
`private StringBuffer` `stringBuffer`

Constructor Summary
`HTMLGenerator(String fileName)`

Method Summary
`void` `addField(String name, Object object)` Adds passed field to table.
`void` `addImage(String fileName, ImageMap imageMap)` Adds an image
`private void` `addImageMapData(ImageMap imageMap, String fileName)`
`void` `addLineBreak()` Add line break
`void` `addString(Object object)` Adds a String
`void` `addString(String label, Object object)` Adds a String
`void` `addTableRow(String label, Object value)`
`static String` `arrayToString(boolean[] array)` Adds an Array
`static String` `arrayToString(double[] values)` Adds an Array
`static String` `arrayToString(double[][] values)` Adds an Array
`static String` `arrayToString(float[] values)` Adds an Array
`static String` `arrayToString(int[] values)` Adds an Array
`static String` `arrayToString(Object[] object)` Adds an Array
`void` `chartTableEnd()`
`void` `chartTableRowEnd()`
`void` `chartTableRowStart()`
`void` `chartTableStart(String chartName, String imageFileName, ImageMap imageMap)`
`void` `innerTableRowEnd()`
`void` `innerTableRowStart()`
`void` `legendTableEnd()`
`void` `legendTableStart()`
`void` `propertiesTableEnd()`
`void` `propertiesTableRowEnd()`
`void` `propertiesTableRowStart()`
`void` `propertiesTableStart(String propertiesName)`
`void` `saveFile()` Writes the file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fileName

    private String fileName

### stringBuffer

    private StringBuffer stringBuffer

Constructor Detail

### HTMLGenerator

    public HTMLGenerator(String fileName)

Parameters:
  `fileName` - the name of the file to write to.

Method Detail

### addField

    public void addField(String name,
                         Object object)

  Adds passed field to table. Use reflection to get the fields.

  Parameters:
    `name` -
    `object` -

### addString

    public void addString(Object object)

  Adds a String

### addString

    public void addString(String label,
                          Object object)

  Adds a String

### arrayToString

    public static String arrayToString(Object[] object)

  Adds an Array

  Parameters:
    `object` -

### arrayToString

    public static String arrayToString(boolean[] array)

  Adds an Array

  Parameters:
    `array` -

### arrayToString

    public static String arrayToString(double[] values)

  Adds an Array

  Parameters:
    `values` -

### arrayToString

    public static String arrayToString(double[][] values)

  Adds an Array

  Parameters:
    `values` -

### arrayToString

    public static String arrayToString(float[] values)

  Adds an Array

  Parameters:
    `values` -

### arrayToString

    public static String arrayToString(int[] values)

  Adds an Array

  Parameters:
    `values` -

### addImage

    public void addImage(String fileName,
                         ImageMap imageMap)

  Adds an image

### addImageMapData

    private void addImageMapData(ImageMap imageMap,
                                 String fileName)

### addLineBreak

    public void addLineBreak()

  Add line break

### saveFile

    public void saveFile()

  Writes the file.

### addTableRow

    public void addTableRow(String label,
                            Object value)

  Parameters:
    `label` -
    `value` -

### propertiesTableStart

    public void propertiesTableStart(String propertiesName)

  Parameters:
    `propertiesName` -

### propertiesTableEnd

    public void propertiesTableEnd()

### propertiesTableRowStart

    public void propertiesTableRowStart()

### propertiesTableRowEnd

    public void propertiesTableRowEnd()

### chartTableStart

    public void chartTableStart(String chartName,
                                String imageFileName,
                                ImageMap imageMap)

  Parameters:
    `chartName` -
    `imageFileName` -
    `imageMap` - if this is NULL we are not creating image map data in html

### chartTableEnd

    public void chartTableEnd()

### chartTableRowStart

    public void chartTableRowStart()

### chartTableRowEnd

    public void chartTableRowEnd()

### legendTableStart

    public void legendTableStart()

### legendTableEnd

    public void legendTableEnd()

### innerTableRowStart

    public void innerTableRowStart()

### innerTableRowEnd

    public void innerTableRowEnd()